Dimensions Through Space

I typically use the ‘Distance’ command to get distances on the fly when modeling but I’d like to create an actual dimension object similar to the output of ‘_Dim’ but across whatever points I am dimensioning, regardless of active cplane. Is there a command that I’m unaware of that can do this? I’ve attached a screen shot from Inventor that demonstrates what I’m aiming for. Thanks in advance for any help!

I’m using Rhino6 on Windows.

maybe this helps:

def markLength():
    
    import Rhino
    import rhinoscriptsyntax as rs
    import scriptcontext as sc
    
    
    result = rs.GetLine(0,message1 = "pick two points")
    if not result:
        return
    else:
        pt1, pt2 = result
    if not pt1 or not pt2:
        return
        
    
    line  = Rhino.Geometry.Line(pt1, pt2)
    length = round(line.Length,3)
    
    mid = (pt1+pt2)/2
    
    
    rs.EnableRedraw(False)
    newline = sc.doc.Objects.AddLine(line)
    rs.CurveArrows(newline,3)
    dot = rs.AddTextDot(str(length),mid)
    groupname = rs.AddGroup("dim-3d : "+str(length))
    rs.AddObjectsToGroup([newline, dot],groupname)
    rs.EnableRedraw(True)
    sc.doc.Views.Redraw()
markLength()

It works beautifully, thank you!

good to hear :slight_smile:

btw: I added each item to a group, which you might not want. You can also choose to add everything to the same group, this way you can delete all of them at once when needed.

Grouping the result is perfect. I’m pretty unfamiliar with scripting so this is a good introduction that I can play around with. Appreciate your help with this.